TESTING/LIN/zdrvrf2.f(3)

NAME
TESTING/LIN/zdrvrf2.f

SYNOPSIS

  Functions/Subroutines
subroutine zdrvrf2 (nout, nn, nval, a, lda, arf, ap, asav)
ZDRVRF2

Function/Subroutine Documentation

  subroutine zdrvrf2 (integer nout, integer nn, integer, dimension( nn ) nval, complex*16, dimension( lda, * ) a, integer lda, complex*16, dimension( * ) arf, complex*16, dimension(*) ap, complex*16, dimension( lda, * ) asav)

ZDRVRF2

Purpose:

     ZDRVRF2 tests the LAPACK RFP conversion routines.

Parameters
    NOUT

              NOUT is INTEGER
                    The unit number for output.

    NN

              NN is INTEGER
                    The number of values of N contained in the vector NVAL.

    NVAL

              NVAL is INTEGER array, dimension (NN)
                    The values of the matrix dimension N.

    A

              A is COMPLEX*16 array, dimension (LDA,NMAX)

    LDA

              LDA is INTEGER
                    The leading dimension of the array A.  LDA >= max(1,NMAX).

    ARF

              ARF is COMPLEX*16 array, dimension ((NMAX*(NMAX+1))/2).

    AP

              AP is COMPLEX*16 array, dimension ((NMAX*(NMAX+1))/2).

    ASAV

              ASAV is COMPLEX*16 array, dimension (LDA,NMAX)

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 88 of file zdrvrf2.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.